package com.moneydance.modules.features.myextension;

import javafx.application.*;
import javafx.embed.swing.*;
import javafx.fxml.*;
import javafx.fxml.FXMLLoader;

import javax.swing.*;

import com.infinitekind.moneydance.model.*;
import javafx.scene.*;
import javafx.util.*;

import java.io.*;

public class TestXML {
    private void initAndShowGUI()
    {
        // This method is invoked on the EDT thread
        JFrame frame = new JFrame("My Extension Test XML");
        final JFXPanel fxPanel = new JFXPanel();
        frame.add(fxPanel);
        frame.setSize(300, 300);
        frame.setVisible(true);
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        Platform.runLater(new Runnable() {
            @Override
            public void run()
            {
                initFX(fxPanel);
            }
        });
    }

    private void initFX(JFXPanel fxPanel)
    {
        ClassLoader classLoader = this.getClass().getClassLoader();
        try
            {
                String pathFXML =  "com/moneydance/modules/features/myextension/";
                classLoader=this.getClass().getClassLoader();
                InputStream inpFXML = classLoader.getResourceAsStream(pathFXML+ "testFXML.fxml");
                FXMLLoader loaderFXML = new FXMLLoader();
                loaderFXML.setController(new Controller());
                Parent parent = loaderFXML.load(inpFXML);
                Scene scene = new Scene(parent, 300, 300);
                fxPanel.setScene(scene);
            }
        catch (IOException e)
            {
                e.printStackTrace();
            }

        /*try
            {
                Parent parent = FXMLLoader.load(this.getClass().getResource("testFXML.fxml"));
                Scene scene = new Scene(parent, 300,300);
                fxPanel.setScene(scene);
            }
        catch (IOException e)
            {
                e.printStackTrace();
            }*/
    }

    public void main(String[] args)
    {

        SwingUtilities.invokeLater(new Runnable() {
            @Override
            public void run()
            {
                initAndShowGUI();
            }
        });
    }
}
